Subject: Re: [PATCH] Allow limiting the size of *Completions*

From: Juri Linkov <[email-masked]>
Date: Thu, 28 Nov 2024 20:18:19 +0200

> +(defcustom completions-list-max 10000
> +  "Maximum number of completions for `minibuffer-completion-help' to list.

10000 is too small default value.  I often use 'C-x 8 RET TAB'
to browse the full list of 50866 Unicode characters
and use Isearch to find a character by name.  And it's quite fast -
usually takes only 1-2 seconds to show the completion list.

An alternative would be to populate the list lazily by small chunks
added with an idle timer.  But not sure it's worth the complexity.